
  <div class="container-fluid mt--5">
    <div class="row">
      <div class="col">
        <div class="card shadow">
          <div class="card-header border-0 flex-table">
            <div class="flex-buttons-title">
              <h3 class="mb-0 mr-5">Images</h3>
              <a (click)="prunImages()"><i class="material-icons click-icon-replay" matTooltip="Prune">
                cleaning_services
              </i></a>

            </div>
            <div class="flex-buttons">
                <button class="btn btn-style" data-toggle="modal" data-target="#pullImage">
                <p style="margin-top: 15px;">Pull image</p>
              </button>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table align-items-center table-flush">
              <thead class="thead-light">
                <tr>
                  <th scope="col">Id</th>
                  <th scope="col">Tags</th>
                  <th scope="col">Size</th>
                  <th scope="col">Created</th>
                  <th scope="col"></th>
                </tr>
              </thead>
              <tbody *ngFor="let image of listImages; let i = index">
                <tr>
                  <th scope="row" >
                    <div class="media align-items-center" style="max-width: 20%;">
                      <div class="media-body">
                        <span class="mb-0 text-sm">{{image.Id}}</span>
                      </div>
                    </div>
                  </th>
                  <td>
                    <span class="mb-0 text-sm">
                      {{image.RepoTags[0]}}
                    </span>
                  </td>
                  <td>
                    {{image.Size | bytes:image.Size }} MB
                  </td>
                  <td>
                    <div class="d-flex align-items-center">
                      <span class="mr-2">{{image.Created | date}}</span>
                    </div>
                  </td>
                  <td>
                      <div class="actions">
                        <a (click)="removeImage(image.Id)">
                            <i class="material-icons pt-3"  style="color:red" matTooltip="Delete">delete </i>
                        </a>
                        <a (click)="getCurrentImage(image.Id)" data-toggle="modal" data-target="#showImage"> <i
                          class="material-icons click-icon-replay pt-3" matTooltip="Show details">
                          remove_red_eye
                        </i> </a>
                      </div>
                    </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal" id="pullImage">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">

          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">Pull Image</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>

          <!-- Modal body -->
          <div class="modal-body">
            <form [formGroup]="imageForm">
              <div class="row">
                <div class="col-md-6 form-group">
                  <mat-form-field appearance="outline" class="input-full">
                    <mat-label>Name Image</mat-label>
                    <input formControlName="Image" matInput placeholder="Name image">
                    <mat-error *ngIf="imageForm.hasError('required', 'Image')">Name of the image is <b>required</b>
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-md-6  form-group">
                    <mat-form-field appearance="outline" class="input-full">
                      <mat-label>Registry</mat-label>
                      <input matInput type="text" formControlName="registry" placeholder="Leave empty to use Docker Hub" />
                      <mat-error *ngIf="imageForm.hasError('required', 'registry')">Registry is <b>required</b>
                      </mat-error>
                    </mat-form-field>
                  </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <p>Note: if you don't specify the tag the default latest will be used</p>
                </div>
              </div>

            </form>
          </div>

          <!-- Modal footer -->
          <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="createImage()" [disabled]="!imageForm.valid"> Pull Image</button>
          </div>

        </div>
      </div>
    </div>
    <div class="modal" id="showImage">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">

          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">{{currentImage.Id}}</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>

          <!-- Modal body -->
          <div class="modal-body">
            <div class="row">
              <div class="col-md-12">
                <b>Size :</b> {{currentImage.Size | bytes:currentImage.Size }} MB
              </div>
              <div class="col-md-12">
               <b> Created At :</b> {{currentImage.Created | date}}
              </div>
              <div class="col-md-12">
                <b>Tags:</b>
                <div class="row" *ngFor="let tag of currentImage.RepoTags">
                  <div class="col-md-12">
                      {{tag}}
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Modal footer -->
          <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div>
